# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

Two_Level_Branch_Predictor_Glue			= yes

#-----[ Library ]------------------------------------------
Two_Level_Branch_Predictor_Glue_LIBRARY		= 	-lTwo_Level_Branch_Predictor_Glue	\
					$(Behavioural_LIBRARY)	

Two_Level_Branch_Predictor_Glue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Two_Level_Branch_Predictor_Glue_library		: 
				@$(MAKE) Behavioural_library
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue --makefile=Makefile 
	
Two_Level_Branch_Predictor_Glue_library_clean	: 
				@$(MAKE) Behavioural_library_clean
				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Two_Level_Branch_Predictor_Glue --makefile=Makefile clean
